tests: fix confusing wrong paths in the scripts

pull/97/head
Daniel Abramov 3 years ago committed by Sebastian Dröge
parent 1c9e7ea8fb
commit 714e096ae4
  1. 0
      autobahn/expected-results.json
  2. 3637
      autobahn/server-results.json
  3. 5
      scripts/autobahn-client.sh
  4. 6
      scripts/autobahn-server.sh

File diff suppressed because it is too large Load Diff

@ -14,12 +14,11 @@ trap cleanup TERM EXIT
function test_diff() {
if ! diff -q \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/expected-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client/index.json')
then
echo 'Difference in results, either this is a regression or' \
'one should update autobahn/client-results.json with the new results.' \
'The results are:'
'one should update autobahn/expected-results.json with the new results.' \
exit 64
fi
}

@ -13,11 +13,11 @@ trap cleanup TERM EXIT
function test_diff() {
if ! diff -q \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/expected-results.json') \
<(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/server/index.json')
then
echo Difference in results, either this is a regression or \
one should update autobahn/server-results.json with the new results.
echo 'Difference in results, either this is a regression or' \
'one should update autobahn/expected-results.json with the new results.' \
exit 64
fi
}

Loading…
Cancel
Save